Name:           ocaml-sexplib
Version:        108.07.01
Release:        %mkrel 2
Summary:        OCaml library for converting OCaml values to S-expressions

Group:          Development/OCaml
License:        LGPLv2+ with exceptions and BSD
URL:            http://ocaml.janestreet.com
Source0:        http://ocaml.janestreet.com/ocaml-core/%{version}/individual/sexplib-%{version}.tar.gz

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-type-conv == %{version}
BuildRequires:  camlp4

Requires:       ocaml-type-conv

%rename ocaml-sexplib310

%description
This library contains functionality for parsing and pretty-printing
S-expressions. In addition to that it contains an extremely useful
preprocessing module for Camlp4, which can be used to automatically
generate code from type definitions for efficiently converting
OCaml-values to S-expressions and vice versa. In combination with the
parsing and pretty-printing functionality this frees users from having
to write their own I/O-routines for datastructures they
define. Possible errors during automatic conversions from
S-expressions to OCaml-values are reported in a very human-readable
way. Another module in the library allows you to extract and replace
sub-expressions in S-expressions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%rename ocaml-sexplib310-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n sexplib-%{version}

%build
./configure
make

%check
make test
#./lib_test/conv_test
#./lib_test/sexp_test < lib_test/test.sexp

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install


%files
%doc LICENSE.txt LICENSE-Tywith.txt
%{_libdir}/ocaml/sexplib/META
%{_libdir}/ocaml/sexplib/*.cmi
%{_libdir}/ocaml/sexplib/*.cma
%{_libdir}/ocaml/sexplib/*.cmxs

%files devel
%doc CHANGES.txt COPYRIGHT.txt README.md
# TODO: bring back the doc:
#doc doc/
%{_libdir}/ocaml/sexplib/*.a
%{_libdir}/ocaml/sexplib/*.cmx
%{_libdir}/ocaml/sexplib/*.cmxa
%{_libdir}/ocaml/sexplib/*.mli
%{_libdir}/ocaml/sexplib/*.ml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 108.07.01-2.mga3
+ Revision: 361605
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 319752
- constrain the set of libs from janest to be the same version
- updated to last version 108.07.01

* Mon Oct 01 2012 blue_prawn <blue_prawn> 108.07.00-2.mga3
+ Revision: 301870
- build requires ocaml-compiler-libs
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 108.07.00-1.mga3
+ Revision: 300194
- updated to last version 108.07.00
- updated to last version 108.07.00
- Warning: I was unable to build the doc (TODO: fix this!)
- new rpm group for ocaml

* Wed Jul 25 2012 malo <malo> 108.00.02-2.mga3
+ Revision: 274246
- add missing %%rename for -devel package to have a correct upgrade path

* Wed Jul 25 2012 malo <malo> 108.00.02-1.mga3
+ Revision: 274209
- update to 108.00.02 (new upstream) after import from Mandriva
- spec clean-up after import from Mandriva
- imported package ocaml-sexplib

